PBKDF2Config (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.util

## Class PBKDF2Config

- java.lang.Object
- - org.bouncycastle.crypto.util.PBKDFConfig
  - - org.bouncycastle.crypto.util.PBKDF2Config

-     public class PBKDF2Config
      extends PBKDFConfig

  Configuration class for a PBKDF using PKCS#5 Scheme 2.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PBKDF2Config.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AlgorithmIdentifier` | `PRF_SHA1` AlgorithmIdentifier for a PRF using HMac with SHA-1
    `static AlgorithmIdentifier` | `PRF_SHA256` AlgorithmIdentifier for a PRF using HMac with SHA-256
    `static AlgorithmIdentifier` | `PRF_SHA3_256` AlgorithmIdentifier for a PRF using HMac with SHA3-256
    `static AlgorithmIdentifier` | `PRF_SHA3_512` AlgorithmIdentifier for a PRF using SHA3-512
    `static AlgorithmIdentifier` | `PRF_SHA512` AlgorithmIdentifier for a PRF using HMac with SHA-512

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIterationCount()`
    `AlgorithmIdentifier` | `getPRF()`
    `int` | `getSaltLength()`

    - ### Methods inherited from class org.bouncycastle.crypto.util.PBKDFConfig

      `getAlgorithm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRF_SHA1

          public static final AlgorithmIdentifier PRF_SHA1

      AlgorithmIdentifier for a PRF using HMac with SHA-1

    - #### PRF_SHA256

          public static final AlgorithmIdentifier PRF_SHA256

      AlgorithmIdentifier for a PRF using HMac with SHA-256

    - #### PRF_SHA512

          public static final AlgorithmIdentifier PRF_SHA512

      AlgorithmIdentifier for a PRF using HMac with SHA-512

    - #### PRF_SHA3_256

          public static final AlgorithmIdentifier PRF_SHA3_256

      AlgorithmIdentifier for a PRF using HMac with SHA3-256

    - #### PRF_SHA3_512

          public static final AlgorithmIdentifier PRF_SHA3_512

      AlgorithmIdentifier for a PRF using SHA3-512

  - ### Method Detail

    - #### getIterationCount

          public int getIterationCount()

    - #### getPRF

          public AlgorithmIdentifier getPRF()

    - #### getSaltLength

          public int getSaltLength()